## com.sun.jersey.spi.monitoring
Interface RequestListener

    public interface RequestListener

Author:
  Marek Potociar (marek.potociar at oracle.com)

Method Summary
`void` | `onRequest(long id, ContainerRequest request)` Called when Jersey receives request from lower layer.

Method Detail

### onRequest

    void onRequest(long id,
                   ContainerRequest request)

  Called when Jersey receives request from lower layer.

  Parameters:
    `id` - Context ID.
    `request` - request instance. It MUST NOT be modified.

Copyright © 2017 Oracle Corporation. All Rights Reserved.